#! /usr/bin/perl

# script to return a distro version string based on the contents of
# the /etc/*release file(s).

# Associative array for matches
%vers= (
'slf3'=>'\(Fermi\)',
'sl3'=>'\(SL\)',
'rhel3'=>'Taroon',
'slf4'=>'\(Wilson\)',
'sl4'=>'\(Beryllium\)',
'rhel4'=>'Nahant',
'slf5'=>'\(Lederman\)',
'sl5'=>'\(Boron\)',
'rhel5'=>'Tikanga',
'sts10'=>'Velocity',
'fedora10'=>'Cambridge',
'sts11'=>'Acceleration',
'fedora11'=>'Leonidas'
);

%rebuild_vers_family= (
'slf3'=>'rhel3',
'sl3'=>'rhel3',
'rhel3'=>'rhel3',
'slf4'=>'rhel4',
'sl4'=>'rhel4',
'rhel4'=>'rhel4',
'slf5'=>'rhel5',
'sl5'=>'rhel5',
'rhel5'=>'rhel5',
'sts10'=>'fedora10',
'fedora10'=>'fedora10',
'sts11'=>'fedora11',
'fedora11'=>'fedora11'
);

%ver_slf= (
'slf3'=>'slf3',
'sl3'=>'slf3',
'rhel3'=>'slf3',
'slf4'=>'slf4',
'sl4'=>'slf4',
'rhel4'=>'slf4',
'slf5'=>'slf5',
'sl5'=>'slf5',
'rhel5'=>'slf5',
'sts10'=>'sts10',
'fedora10'=>'sts10',
'sts11'=>'sts11',
'fedora11'=>'sts11'
);

$rhfile="";
if ( open (INFILE,"/etc/redhat-release") )
   {
    chomp($rhfile = <INFILE>);
    close (INFILE);
   }
$fedfile="";
if ( open (INFILE,"/etc/fedora-release") )
   {
    chomp($fedfile = <INFILE>);
    close (INFILE);
   }

while (($key,$value)=each %vers) {
   if ( $rhfile =~ $value )
     {
#      print "$key\n";
#      print "$rebuild_vers_family{$key}\n";
      print "$ver_slf{$key}\n";
      exit 0;
     }
   if ( $fedfile =~ $value )
     {
      print "$key\n";
      exit 0;
     }
}
exit 1; 
