#!/bin/bash
QMXHOMEDIR=/opt/quest
echo -e "\tStarting QMX Uninstall"
if [ -s $QMXHOMEDIR/qmxcm/bin/uninstall_client.sh ] ; then
  echo -e "\t\tRunning QMX $QMXHOMEDIR/qmxcm/bin/uninstall_client.sh\n" 
  $QMXHOMEDIR/qmxcm/bin/uninstall_client.sh  
fi
if [ -s $QMXHOMEDIR/umi/bin/uninstall_umi.sh ] ; then
  echo -e "\t\tRunning QMX $QMXHOMEDIR/umi/bin/uninstall_umi.sh\n" 
  $QMXHOMEDIR/umi/bin/uninstall_umi.sh  
fi

echo  -e "\n\tStopping any leftover QMX processes"

for process in $QMXHOMEDIR/umi/sbin/owcimomd $QMXHOMEDIR/umi/libexec/openwbem/owprivilegemonitor7 $QMXHOMEDIR/umi/libexec/openwbem/owlocalhelper7 $QMXHOMEDIR/qmxcm/libexec/qmxsmsoopcpp1pr $QMXHOMEDIR/qmxcm/sbin/qmxcmd
do
   echo -e "\t\tKilling $process"
   killall -e $process 2> /dev/null
   if [ $? -eq 0 ] ; then
     echo -e "\t\t\tKilled $process"
   fi
done

echo  -e "\n\tRemoving remaining files"
for dirs in /opt/quest /opt/vintela /var/opt/quest /var/opt/vintela /etc/opt/quest /etc/opt/quest /etc/opt/vintela 
do
  if [ -d $dirs ] ; then
     echo -e "\t\tRemoving Directory $dirs"
     rm -rf $dirs
  fi
done

echo -e "\n\tQMX Brute Force Uninstall Completed\n\n"
